/*
 * Copyright 2016 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.guvnor.ala.source.git;

import java.net.URI;
import java.util.Map;

import org.guvnor.ala.source.Host;
import org.uberfire.commons.config.ConfigProperties;

import static org.kie.soup.commons.validation.PortablePreconditions.checkNotEmpty;

public class GitHubRepository extends GitRepository {

    private final String group;

    public GitHubRepository(final Host host,
                            final String id,
                            final String group,
                            final String name,
                            final URI uri,
                            final GitCredentials credentials,
                            final Map<String, String> env,
                            final ConfigProperties config) {
        super(host,
              id,
              name,
              uri,
              credentials,
              env,
              config);
        this.group = checkNotEmpty("group",
                                   group);
    }

    public String getGroup() {
        return group;
    }
}
